%define avcmajor		57
%define avclibname		%mklibname avcodec %{avcmajor}
%define develname		%mklibname %{name} -d
%define staticname		%mklibname %{name} -s -d

%define avfmajor		57
%define avflibname		%mklibname avformat %{avfmajor}

%define postprocmajor		54
%define postproclibname		%mklibname postproc %{postprocmajor}

%define avumajor		55
%define avulibname		%mklibname avutil %{avumajor}

%define avrmajor		3
%define avrlibname		%mklibname avresample %{avrmajor}

%define swsmajor		4
%define swslibname		%mklibname swscaler %{swsmajor}

%define filtermajor		6
%define filterlibname		%mklibname avfilter %{filtermajor}

%define swresamplemajor		2
%define swresamplelibname	%mklibname swresample %{swresamplemajor}

%define build_plf	0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix	plf
%endif
%if "%distro_section" == "tainted"
%global build_plf	1
%endif

%define build_faac	0
%{?_with_faac: %{expand: %%global build_faac 1}}
%{?_without_faac: %{expand: %%global build_faac 0}}

# (akien) opencv requires ffmpeg which buildrequires opencv..
%define bootstrap	0

Name: 	 	ffmpeg
Version: 	3.3.9
Release: 	%mkrel 1
Summary: 	Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder
Group: 	 	Video/Utilities
%if %build_plf
License: 	GPLv3+
%else
License: 	GPLv2+
%endif
URL:		http://ffmpeg.org/
Source0: 	http://ffmpeg.org/releases/%{name}-%{version}.tar.xz
# TODO: Find out current upstream stance about this and try to get something in
Patch0:		ffmpeg-kodi-flush-hack.patch
BuildRequires:  texi2html
BuildRequires:	SDL-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libjack-devel
BuildRequires:	libdc1394-devel
BuildRequires:	libschroedinger-devel
BuildRequires:	libvpx-devel
BuildRequires:	jpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	bzip2-devel
BuildRequires:	opencl-devel
BuildRequires:	rtmp-devel
BuildRequires:	sdl2-devel
BuildRequires:	vdpau-devel
BuildRequires:	libva-devel
BuildRequires:	yasm
BuildRequires:	liblame-devel
%if %build_plf
BuildRequires:	x264-devel >= 0.118
BuildRequires:	x265-devel
BuildRequires:	opencore-amr-devel
BuildRequires:	libvo-amrwbenc-devel
BuildRequires:	libxvid-devel
%endif
%if %build_faac
BuildRequires:	libfaac-devel
%endif
BuildRequires:	speex-devel
BuildRequires:	freetype-devel
BuildRequires:	libnut-devel
BuildRequires:	gsm-devel
BuildRequires:	celt-devel
BuildRequires:	opus-devel
BuildRequires:	twolame-devel
%if ! 0%{?bootstrap}
BuildRequires:	opencv-devel
%endif
BuildRequires:	openjpeg-devel
BuildRequires:	xavs-devel
BuildRequires:	frei0r-devel
BuildRequires:	libmodplug-devel
BuildRequires:	ass-devel
BuildRequires:	gnutls-devel
BuildRequires:	libcdio-paranoia-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	dirac-devel
BuildRequires:	libv4l-devel
Requires:	%{postproclibname} = %{version}-%{release}
Requires:	%{avclibname} = %{version}-%{release}
Requires:	%{avflibname} = %{version}-%{release}
Requires:	%{avulibname} = %{version}-%{release}
Requires:	%{avrlibname} = %{version}-%{release}
Requires:	%{filterlibname} = %{version}-%{release}
Requires:       %{swslibname} = %{version}-%{release}
Requires:	%{swresamplelibname} = %{version}-%{release}

%description
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%if %build_plf
This package is in the "tainted" section as it violates several patents.
%endif

%package -n	%{avclibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg
Provides:	libffmpeg = %{version}-%{release}
Obsoletes:	%{_lib}ffmpeg53 < 0.8.2-2

%description -n	%{avclibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{postproclibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg
Conflicts:	%mklibname ffmpeg 51

%description -n	%{postproclibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.


%package -n	%{avflibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg
Obsoletes:	%{_lib}avformats53 < %{version}-%{release}

%description -n	%{avflibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{avulibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg

%description -n	%{avulibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{avrlibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg

%description -n	%{avrlibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{swslibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg

%description -n	%{swslibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{filterlibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg

%description -n	%{filterlibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{swresamplelibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg

%description -n	%{swresamplelibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{develname}
Group:		Development/C
Summary:	Header files for the ffmpeg codec library
Requires:	%{avclibname} = %{version}-%{release}
Requires:	%{avflibname} = %{version}-%{release}
Requires:	%{avulibname} = %{version}-%{release}
Requires:	%{avrlibname} = %{version}-%{release}
Requires:	%{postproclibname} = %{version}-%{release}
Requires:	%{swslibname} = %{version}-%{release}
Requires:	%{filterlibname} = %{version}-%{release}
Requires:	%{swresamplelibname} = %{version}-%{release}
Provides:	libffmpeg-devel = %{version}-%{release}
Provides:	ffmpeg-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %{name} 51

%description -n	%{develname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg-devel if you want to compile apps with ffmpeg support.

%package -n	%{staticname}
Group:		Development/C
Summary:	Static library for the ffmpeg codec library
Requires:	%{develname} = %{version}-%{release}
Provides:	libffmpeg-static-devel = %{version}-%{release}
Obsoletes:	%mklibname -s -d %{name} 51

%description -n	%{staticname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg-devel if you want to compile apps with ffmpeg support.

%prep
%setup -q 
%autopatch -p1

%build
export CFLAGS="%{optflags} -FPIC"
export LDFLAGS="%{ldflags}"

./configure --prefix=%{_prefix} \
	--enable-shared \
	--libdir=%{_libdir} \
	--shlibdir=%{_libdir} \
	--incdir=%{_includedir} \
	--disable-stripping \
	--enable-postproc \
	--enable-gpl \
	--enable-pthreads \
	--enable-libtheora \
	--enable-libvorbis --disable-encoder=vorbis \
	--enable-libvpx \
	--enable-runtime-cpudetect \
	--enable-libdc1394 \
	--enable-libschroedinger \
	--enable-librtmp \
	--enable-libspeex \
	--enable-libfreetype \
	--enable-libnut \
	--enable-libgsm \
	--enable-libcelt \
	--enable-libopus \
%if ! 0%{?bootstrap}
	--enable-libopencv \
%endif
	--enable-libopenjpeg \
	--enable-libtwolame \
	--enable-libxavs \
	--enable-frei0r \
	--enable-libmodplug \
	--enable-libass \
	--enable-gnutls \
	--enable-libcdio \
	--enable-libpulse \
	--enable-libv4l2 \
	--enable-avresample \
	--enable-opencl \
	--enable-libmp3lame \
%if %build_plf
	--enable-libopencore-amrnb \
	--enable-libopencore-amrwb \
	--enable-version3 \
	--enable-libx264 \
	--enable-libx265 \
	--enable-libvo-amrwbenc \
	--enable-libxvid \
%else
	--disable-decoder=aac --disable-encoder=aac \
%endif
%if %build_faac
	--enable-nonfree --enable-libfaac
%endif


%make

%install
%make_install SRC_PATH=`pwd`

%files
%doc doc/*.html doc/*.txt doc/*.conf
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/ffmpeg

%files -n %{avclibname}
%{_libdir}/libavcodec.so.%{avcmajor}{,.*}

%files -n %postproclibname
%{_libdir}/libpostproc.so.%{postprocmajor}{,.*}

%files -n %{avflibname}
%{_libdir}/libavformat.so.%{avfmajor}{,.*}
%{_libdir}/libavdevice.so.%{avfmajor}{,.*}

%files -n %{avulibname}
%{_libdir}/libavutil.so.%{avumajor}{,.*}

%files -n %{avrlibname}
%{_libdir}/libavresample.so.%{avrmajor}{,.*}

%files -n %{swslibname}
%{_libdir}/libswscale.so.%{swsmajor}{,.*}

%files -n %{filterlibname}
%{_libdir}/libavfilter.so.%{filtermajor}{,.*}

%files -n %{swresamplelibname}
%{_libdir}/libswresample.so.%{swresamplemajor}{,.*}

%files -n %{develname}
%doc doc/APIchanges
%{_includedir}/libavcodec
%{_includedir}/libavdevice
%{_includedir}/libavfilter
%{_includedir}/libavformat
%{_includedir}/libavutil
%{_includedir}/libavresample
%{_includedir}/libpostproc
%{_includedir}/libswscale
%{_includedir}/libswresample
%{_libdir}/libavcodec.so
%{_libdir}/libavdevice.so
%{_libdir}/libavformat.so
%{_libdir}/libavfilter.so
%{_libdir}/libavutil.so
%{_libdir}/libavresample.so
%{_libdir}/libpostproc.so
%{_libdir}/libswscale.so
%{_libdir}/libswresample.so
%{_libdir}/pkgconfig/libswscale.pc
%{_libdir}/pkgconfig/libavcodec.pc
%{_libdir}/pkgconfig/libavdevice.pc
%{_libdir}/pkgconfig/libavfilter.pc
%{_libdir}/pkgconfig/libavformat.pc
%{_libdir}/pkgconfig/libavutil.pc
%{_libdir}/pkgconfig/libavresample.pc
%{_libdir}/pkgconfig/libpostproc.pc
%{_libdir}/pkgconfig/libswresample.pc
%{_mandir}/man3/lib*.3*

%files -n %{staticname}
%{_libdir}/*.a


%changelog
* Sun Dec 30 2018 luigiwalser <luigiwalser> 3.3.9-1.mga6
+ Revision: 1347130
- 3.3.9
- 3.3.8
- 3.3.6
+ shlomif <shlomif>
- New version 3.3.5 (thanks to kekePower)
- Fix Mga#21696 (new version 3.3.4)
- rebuild for tainted
- New version 3.3.3 ( MGA#21407 ).

* Wed Jun 07 2017 luigiwalser <luigiwalser> 3.3.2-1.mga6.tainted
+ Revision: 1107165
- 3.3.2

* Mon May 15 2017 luigiwalser <luigiwalser> 3.3.1-1.mga6.tainted
+ Revision: 1101684
- 3.3.1

* Thu May 04 2017 zezinho <zezinho> 3.3-2.mga6.tainted
+ Revision: 1099017
- enable mp3 encoder in core as patents are gone

* Sun Apr 30 2017 neoclust <neoclust> 3.3-1.mga6.tainted
+ Revision: 1098106
- New version 3.3

* Fri Mar 10 2017 akien <akien> 3.2.4-4.mga6.tainted
+ Revision: 1091601
- Rebuild for v4l-utils 1.12.3

* Wed Mar 08 2017 neoclust <neoclust> 3.2.4-3.mga6
+ Revision: 1089928
- Rebuild without bootstrap

* Wed Mar 08 2017 akien <akien> 3.2.4-2.mga6.tainted
+ Revision: 1089885
- Bootstrap ffmpeg, i.e. disable opencv cyclical dep
- Rebuild in */release

* Wed Feb 22 2017 zezinho <zezinho> 3.2.4-1.mga6.tainted
+ Revision: 1087332
- new bugfix version 3.2.4 - BR opencl
- BR opencv as it builds now
- BR SDL2 to build ffplay

* Mon Jan 23 2017 zezinho <zezinho> 3.2.2-2.mga6.tainted
+ Revision: 1083130
- bump rel to submit to tainted

* Wed Jan 18 2017 zezinho <zezinho> 3.2.2-1.mga6.tainted
+ Revision: 1082336
- upgrade to latest upstream 3.2.2

* Tue Jan 10 2017 luigiwalser <luigiwalser> 2.8.10-3.mga6.tainted
+ Revision: 1080918
- rebuild for libass

* Sun Jan 01 2017 luigiwalser <luigiwalser> 2.8.10-2.mga6.tainted
+ Revision: 1079499
- rebuild for x265

* Tue Dec 06 2016 luigiwalser <luigiwalser> 2.8.10-1.mga6.tainted
+ Revision: 1072818
- 2.8.10

* Mon Nov 28 2016 luigiwalser <luigiwalser> 2.8.8-1.2.mga6.tainted
+ Revision: 1070671
- rebuild for x265

* Sun Oct 02 2016 akien <akien> 2.8.8-1.1.mga6.tainted
+ Revision: 1058091
- Rebuild for tainted

* Sat Oct 01 2016 luigiwalser <luigiwalser> 2.8.8-1.mga6
+ Revision: 1058012
- 2.8.8

* Mon Sep 12 2016 luigiwalser <luigiwalser> 2.8.6-4.mga6
+ Revision: 1051569
- rebuild for x265

* Wed Apr 13 2016 daviddavid <daviddavid> 2.8.6-3.mga6.tainted
+ Revision: 1001043
- enable avresample support (needed for new upstream release performous)

* Sun Feb 14 2016 luigiwalser <luigiwalser> 2.8.6-2.mga6.tainted
+ Revision: 960386
- rebuild for x265
- remove vo-aacenc support (dropped upstream)

* Tue Feb 02 2016 luigiwalser <luigiwalser> 2.8.6-1.mga6.tainted
+ Revision: 931880
- 2.8.6

* Mon Jan 18 2016 luigiwalser <luigiwalser> 2.8.5-2.mga6.tainted
+ Revision: 925618
- rebuild for x264

* Fri Jan 15 2016 luigiwalser <luigiwalser> 2.8.5-1.mga6.tainted
+ Revision: 923304
- 2.8.5

* Tue Jan 12 2016 daviddavid <daviddavid> 2.8.4-2.mga6.tainted
+ Revision: 922232
+ rebuild (emptylog)

* Mon Jan 11 2016 luigiwalser <luigiwalser> 2.8.4-2.mga6
+ Revision: 921803
- rebuild for gnutls

* Mon Dec 21 2015 fwang <fwang> 2.8.4-1.mga6.tainted
+ Revision: 912825
- patch1 is merged
- 2.8.4

* Mon Nov 30 2015 luigiwalser <luigiwalser> 2.8.3-1.mga6.tainted
+ Revision: 907243
- 2.8.3

* Mon Nov 16 2015 oden <oden> 2.8.2-1.mga6.tainted
+ Revision: 903583
- fix build
- 2.8.2
- rebuild

* Sat Oct 17 2015 fwang <fwang> 2.8.1-1.mga6.tainted
+ Revision: 892286
- 2.8.1

* Fri Oct 09 2015 zezinho <zezinho> 2.8-2.mga6.tainted
+ Revision: 888419
- activate libx265 in tainted

* Thu Sep 10 2015 fwang <fwang> 2.8-1.mga6.tainted
+ Revision: 875334
- 2.8

* Thu Sep 03 2015 shlomif <shlomif> 2.7.2-1.mga6.tainted
+ Revision: 872412
- New version 2.7.2

* Thu Jul 16 2015 neoclust <neoclust> 2.7.1-2.mga6.tainted
+ Revision: 854563
- Rebuld against new libcdio-paranoia-devel

* Sat Jun 27 2015 cjw <cjw> 2.7.1-1.mga6.tainted
+ Revision: 846244
- 2.7.1

* Sun May 17 2015 luigiwalser <luigiwalser> 2.4.9-1.mga5.tainted
+ Revision: 822201
- 2.4.9

* Sun Mar 08 2015 luigiwalser <luigiwalser> 2.4.7-1.mga5.tainted
+ Revision: 818173
- 2.4.7

* Sun Feb 15 2015 luigiwalser <luigiwalser> 2.4.6-1.mga5.tainted
+ Revision: 814980
- 2.4.6

* Mon Jan 12 2015 luigiwalser <luigiwalser> 2.4.5-1.mga5.tainted
+ Revision: 810005
- 2.4.5

* Tue Dec 02 2014 luigiwalser <luigiwalser> 2.4.4-1.mga5.tainted
+ Revision: 800282
- 2.4.4

* Mon Nov 24 2014 anssi <anssi> 2.4.3-2.mga5.tainted
+ Revision: 798788
- add patch to make ff_read_frame_flush() public under a custom name for
  Kodi use for the time being

* Wed Nov 05 2014 akien <akien> 2.4.3-1.mga5.tainted
+ Revision: 795854
- Version 2.4.3
- Version 2.3.4

* Wed Oct 15 2014 umeabot <umeabot> 2.3.3-3.mga5.tainted
+ Revision: 739475
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 fwang <fwang> 2.3.3-1.mga5.tainted
+ Revision: 664986
- 2.3.3

* Wed Aug 13 2014 fwang <fwang> 2.3.2-1.mga5.tainted
+ Revision: 662337
- 2.3.2

* Mon Aug 04 2014 fwang <fwang> 2.3.1-1.mga5.tainted
+ Revision: 659524
- 2.3.1

* Sun Jul 20 2014 wally <wally> 2.3-2.mga5.tainted
+ Revision: 654679
- add patch to add missing long_name descriptions to img2dec.c (to hopefully fix segfaults in gstreamers ffmpeg/libav plugins)

* Wed Jul 16 2014 fwang <fwang> 2.3-1.mga5.tainted
+ Revision: 653233
- update file list
- 2.3

* Tue Jul 15 2014 fwang <fwang> 2.2.5-1.mga5.tainted
+ Revision: 652797
- 2.2.5

* Tue Jun 24 2014 fwang <fwang> 2.2.4-1.mga5.tainted
+ Revision: 639184
- 2.2.4

* Tue Jun 03 2014 fwang <fwang> 2.2.3-1.mga5.tainted
+ Revision: 631795
- 2.2.3

* Mon May 05 2014 fwang <fwang> 2.2.2-1.mga5.tainted
+ Revision: 620184
- 2.2.2

* Fri Apr 11 2014 fwang <fwang> 2.2.1-1.mga5.tainted
+ Revision: 613377
- 2.2.1

* Tue Apr 01 2014 akien <akien> 2.2-3.mga5.tainted
+ Revision: 611178
- Enable atrac3p decoder in the tainted build

* Sun Mar 30 2014 daviddavid <daviddavid> 2.2-2.mga5.tainted
+ Revision: 610545
- rebuild for new x264

* Mon Mar 24 2014 fwang <fwang> 2.2-1.mga5.tainted
+ Revision: 607754
- 2.2

* Tue Feb 25 2014 fwang <fwang> 2.1.4-1.mga5.tainted
+ Revision: 596756
- 2.1.4

* Mon Feb 17 2014 luigiwalser <luigiwalser> 2.1.3-4.mga5
+ Revision: 593273
- rebuild for x264

* Sun Feb 16 2014 luigiwalser <luigiwalser> 2.1.3-3.mga5.tainted
+ Revision: 592546
- rebuild for librtmp

* Sat Feb 15 2014 luigiwalser <luigiwalser> 2.1.3-2.mga5.tainted
+ Revision: 592219
- rebuild for libass

* Tue Feb 04 2014 fwang <fwang> 2.1.3-1.mga5.tainted
+ Revision: 581473
- new version 2.1.3

* Mon Oct 21 2013 umeabot <umeabot> 2.0.2-2.mga4.tainted
+ Revision: 540555
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 luigiwalser <luigiwalser> 2.0.2-1.mga4.tainted
+ Revision: 493838
- new version 2.0.2

* Sun Sep 01 2013 fwang <fwang> 2.0.1-3.mga4.tainted
+ Revision: 473879
- rebuild for new libcdio split

* Sat Aug 24 2013 luigiwalser <luigiwalser> 2.0.1-2.mga4.tainted
+ Revision: 470988
- rebuild for x264

* Tue Aug 13 2013 fwang <fwang> 2.0.1-1.mga4.tainted
+ Revision: 466023
- new version 2.0.1

* Wed Jul 10 2013 fwang <fwang> 2.0-1.mga4.tainted
+ Revision: 452438
- add man pages
- new version 2.0

* Mon Jun 17 2013 luigiwalser <luigiwalser> 1.2.1-3.mga4.tainted
+ Revision: 443886
- rebuild for x264
+ fwang <fwang>
- rebuild for new openjpeg

* Thu May 23 2013 fwang <fwang> 1.2.1-1.mga4.tainted
+ Revision: 425394
- new version 1.2.1

* Fri Apr 05 2013 fwang <fwang> 1.1.4-1.mga3.tainted
+ Revision: 408187
- new version 1.1.4

* Tue Feb 12 2013 fwang <fwang> 1.1.2-1.mga3.tainted
+ Revision: 398016
- new version 1.1.2
- new version 1.1.1

* Fri Jan 11 2013 umeabot <umeabot> 1.1-3.mga3.tainted
+ Revision: 350258
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 1.1-2.mga3.tainted
+ Revision: 341613
- enable libopus and libtwolame
- remove old comment about gstreamer0.10-ffmpeg

* Tue Jan 08 2013 fwang <fwang> 1.1-1.mga3.tainted
+ Revision: 341574
- fix libmajor
- new version 1.1

* Sun Dec 09 2012 cjw <cjw> 1.0.1-2.mga3.tainted
+ Revision: 329207
- patch1: fix chromium-browser 25 build

* Thu Dec 06 2012 fwang <fwang> 1.0.1-1.mga3.tainted
+ Revision: 327105
- new version 1.0.1

* Sun Oct 07 2012 fwang <fwang> 1.0-2.mga3.tainted
+ Revision: 303245
- rebuild for new openjpeg

* Fri Sep 28 2012 fwang <fwang> 1.0-1.mga3.tainted
+ Revision: 298904
- update libmajor
- update group
- new version 1.0

* Wed Sep 19 2012 fwang <fwang> 0.11.2-1.mga3.tainted
+ Revision: 296119
- new version 0.11.2

* Sat Sep 15 2012 fwang <fwang> 0.11.1-3.mga3.tainted
+ Revision: 294225
- rebuild for new x264
- gst1.0 is using libav fork now
- add note on gst1.0-ffmpeg
- add note on gstreamer0.10-ffmpeg package

* Sun Aug 05 2012 shlomif <shlomif> 0.11.1-2.mga3.tainted
+ Revision: 278609
- Rebuild because ffmpeg is uninstallable.
  See: https://bugs.mageia.org/show_bug.cgi?id=6809#c7 .

* Fri Jun 08 2012 fwang <fwang> 0.11.1-1.mga3.tainted
+ Revision: 257773
- drop avresample lib
- new version 0.11.1

* Tue May 29 2012 fwang <fwang> 0.11-2.mga3.tainted
+ Revision: 249021
- disable opencv as it does not recognize newer opencv
- revert previous change
- disable opencv for now
- rebuild for new opencv

* Mon May 28 2012 fwang <fwang> 0.11-1.mga3.tainted
+ Revision: 247809
- update file list
- update libmajor
- drop unused swtich
- new version 0.11

* Mon May 07 2012 fwang <fwang> 0.10.3-1.mga2.tainted
+ Revision: 234856
- new version 0.10.3
+ blino <blino>
- revert doc changes, since ffmpeg should not be pulled for most users anyway (as pointed by Anssi)
- split out advanced doc in ffmpeg-doc since it takes about 1MB
- do not package INSTALL file which is not relevant for end users

* Thu Apr 12 2012 fwang <fwang> 0.10.2-2.mga2.tainted
+ Revision: 230356
- rebuild for new openjpeg

* Mon Mar 19 2012 fwang <fwang> 0.10.2-1.mga2.tainted
+ Revision: 224316
- drop merged patch
- new version 0.10.2

* Fri Mar 02 2012 fwang <fwang> 0.10-2.mga2.tainted
+ Revision: 216649
- rebuild for new vpx

* Fri Jan 27 2012 fwang <fwang> 0.10-1.mga2.tainted
+ Revision: 202149
- update libmajor
- new version 0.10

* Mon Jan 16 2012 luigiwalser <luigiwalser> 0.9.1-2.mga2.tainted
+ Revision: 196692
- enable speex freetype libnut gsm celt opencv openjpeg xavs frei0r
- enable libmodplug libass gnutls libcdio libpulse dirac libv4l2
- format string fix (from mdv)
- format string fix (from mdv)
- spec cleanups from mdv

* Thu Jan 05 2012 fwang <fwang> 0.9.1-1.mga2.tainted
+ Revision: 191144
- new version 0.9.1

* Tue Dec 13 2011 fwang <fwang> 0.9-1.mga2.tainted
+ Revision: 181284
- bump x264 req

* Tue Dec 13 2011 fwang <fwang> 0.9-1.mga2
+ Revision: 181262
- update file list
- update file list
- new verison 0.9

* Tue Nov 22 2011 fwang <fwang> 0.8.7-1.mga2.tainted
+ Revision: 170893
- new version 0.8.7

* Sat Nov 05 2011 fwang <fwang> 0.8.6-1.mga2.tainted
+ Revision: 163098
- new version 0.8.6

* Mon Oct 03 2011 fwang <fwang> 0.8.5-1.mga2.tainted
+ Revision: 151124
- new version 0.8.5
- update avformat libname

* Tue Sep 27 2011 spuhler <spuhler> 0.8.4-2.mga2
+ Revision: 149251
- changed -%%_mandir, %%_datadir to %%{_mandir}, %%{_datadir}
- changed BuildRequires: tetex-texi2html to BuildRequires: texi2html

* Thu Sep 22 2011 fwang <fwang> 0.8.4-1.mga2.tainted
+ Revision: 146724
- new version 0.8.4

* Thu Sep 08 2011 fwang <fwang> 0.8.3-1.mga2.tainted
+ Revision: 141359
- new version 0.8.3
- rename libffmpeg into libavcodec to reflect its actural content
- new version 0.8.2
- new version 0.8.1

* Fri Jun 24 2011 fwang <fwang> 0.8-1.mga2.tainted
+ Revision: 112931
- bump req on x264
- faad support removed in ffmpeg 0.8

* Fri Jun 24 2011 fwang <fwang> 0.8-1.mga2
+ Revision: 112920
- br yasm
- alwasy build swscale
- drop upstream patches
- new version 0.8

* Fri Jun 17 2011 ahmad <ahmad> 0.6.3-3.mga2
+ Revision: 108552
- Enable libxvid support (Tainted build)

* Sun May 29 2011 pterjan <pterjan> 0.6.3-2.mga1.tainted
+ Revision: 100677
- Fix description of tainted package
- Enable tainted build
+ cjw <cjw>
- patch2-5: add support for vo-amrwbenc and vo-aacenc (from ffmpeg git)

* Wed Apr 27 2011 colin <colin> 0.6.3-1.mga1
+ Revision: 92150
- New bugfix release

* Fri Jan 14 2011 dmorgan <dmorgan> 0.6.1-2.mga1
+ Revision: 18043
- Get rid of mdv macros
+ ahmad <ahmad>
- imported package ffmpeg


* Mon Dec 06 2010 Götz Waschk <waschk@mandriva.org> 0.6.1-2mdv2011.0
+ Revision: 612098
- rebuild

* Sun Oct 24 2010 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 587862
- new version 0.6.1

* Wed Jul 21 2010 Götz Waschk <waschk@mandriva.org> 0.6-5mdv2011.0
+ Revision: 556307
- build with librtmp (bug #60225)

* Sun Jul 18 2010 Funda Wang <fwang@mandriva.org> 0.6-4mdv2011.0
+ Revision: 554889
- add BR for more encoders

* Tue Jul 13 2010 Götz Waschk <waschk@mandriva.org> 0.6-3mdv2011.0
+ Revision: 551968
- rebuild for new libva

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.6-2mdv2011.0
+ Revision: 551467
- build with vaapi support

* Mon Jul 12 2010 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2011.0
+ Revision: 551242
- new version 0.6
- drop patch 2
- build with vp8 support

* Tue Jun 15 2010 Götz Waschk <waschk@mandriva.org> 0.6-0.22960.5mdv2010.1
+ Revision: 548077
- disable internal vorbis encoder (bug #59797)
- disable AAC decoder and encoder

* Wed May 05 2010 Götz Waschk <waschk@mandriva.org> 0.6-0.22960.4mdv2010.1
+ Revision: 542343
- rebuild

* Sun May 02 2010 Anssi Hannula <anssi@mandriva.org> 0.6-0.22960.3mdv2010.1
+ Revision: 541620
- fix debug packages (stripping happened too early)
- fix a regression causing wrong fourcc selection for VP6F remuxing
  (ffmpeg-move-vp6f-up.patch)

* Sun Apr 25 2010 Götz Waschk <waschk@mandriva.org> 0.6-0.22960.2mdv2010.1
+ Revision: 538605
- new snapshot
- drop patch 2

* Sun Jan 24 2010 Emmanuel Andry <eandry@mandriva.org> 0.6-0.21383.2mdv2010.1
+ Revision: 495465
- enable cpu detection at run time
- enable schroedinger and firewire support

  + Götz Waschk <waschk@mandriva.org>
    - bump x264 dep

* Fri Jan 22 2010 Emmanuel Andry <eandry@mandriva.org> 0.6-0.21383.1mdv2010.1
+ Revision: 495040
- New svn snapshot

* Wed Jan 13 2010 Emmanuel Andry <eandry@mandriva.org> 0.6-0.21185.1mdv2010.1
+ Revision: 490732
- New svn snapshot

  + Anssi Hannula <anssi@mandriva.org>
    - build with vdpau support on 2009.0+ (BR vdpau-devel)

* Sun Jan 03 2010 Emmanuel Andry <eandry@mandriva.org> 0.6-0.21005.1mdv2010.1
+ Revision: 485996
- New svn snapshot

  + Götz Waschk <waschk@mandriva.org>
    - add more deps to the main package (gc)

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 0.6-0.20785.1mdv2010.1
+ Revision: 475702
- new snapshot
- fix x264 build
- bump x264 dep

* Sat Nov 07 2009 Götz Waschk <waschk@mandriva.org> 0.6-0.20469.1mdv2010.1
+ Revision: 462295
- new snapshot
- drop imgresample patch, the old API is now gone
- new major
- replace amr by openamr
- disable faac support
- update build deps
- update license

  + Oden Eriksson <oeriksson@mandriva.com>
    - new url

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.5-2mdv2010.0
+ Revision: 424434
- rebuild

  + Götz Waschk <waschk@mandriva.org>
    - fix source URL

* Wed Mar 11 2009 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2009.1
+ Revision: 353681
- new version

  + Anssi Hannula <anssi@mandriva.org>
    - build_amr option (disabled by default) needs --enable-nonfree

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.17730.1mdv2009.1
+ Revision: 346936
- new snapshot
- rediff patch 0

* Wed Feb 11 2009 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.17149.1mdv2009.1
+ Revision: 339358
- new snapshot
- rediff patch 0
- drop patch 2

* Thu Jan 29 2009 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.16849.1mdv2009.1
+ Revision: 335215
- disable parallel build
- rediff the patch again
- new snapshot
- fix format strings
- update file list

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.9-3.pre1.15623.2mdv2009.1
+ Revision: 316743
- rediffed one fuzzy patch
- use %%ldflags and fix linkage (P1)

* Wed Oct 15 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.15623.1mdv2009.1
+ Revision: 293924
- new snapshot
- explicit dep on libpostproc to fix upgrades
- spec cleanup
- bump x264 dep

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.15595.1mdv2009.1
+ Revision: 292264
- new snapshot
- add conflict with old ffmpeg package to libpostproc

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.15593.1mdv2009.1
+ Revision: 291905
- new snapshot
- new major
- split out libpostproc
- changes recommended upstream:
 * disable external libnut support
 * drop liba52dec, xvid

* Fri Jul 11 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.14161.1mdv2009.0
+ Revision: 233641
- new snapshot
- remove mpegaudio.h again

* Thu Jul 10 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.14158.1mdv2009.0
+ Revision: 233512
- new snapshot
- update patch 0
- add missing headers requested in bug #41949

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Anssi Hannula <anssi@mandriva.org>
    - update reenable-imgresample.patch so that duplicate sws_ symbols are
      omitted from libavcodec (from Debian adaptation of the patch)
    - drop now unneeded ffplay-uses-xlib.patch (ffplay only uses SDL)

* Thu May 15 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.13155.1mdv2009.0
+ Revision: 207573
- new snapshot
- reenable deprecated libavcodec image scaler for vlc

  + Anssi Hannula <anssi@mandriva.org>
    - set --incdir explicitely so that pkg-config files get generated
      correctly

* Fri Apr 25 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.12949.2mdv2009.0
+ Revision: 197445
- bump for build system trouble
- new snapshot
- reenable swscaler

* Thu Apr 24 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.12933.2mdv2009.0
+ Revision: 197156
- fix header file conflict

* Thu Apr 24 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.12933.1mdv2009.0
+ Revision: 197142
- new version
- drop dirac support
- fix build
- update file list
- update license tag
- disable amr_nb and amr_wb in PLF, it would make the build undistributable

  + Anssi Hannula <anssi@mandriva.org>
    - use --shlibdir instead of move hack for lib64

* Mon Mar 17 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.11599.2mdv2008.1
+ Revision: 188363
- enable vorbis and theora

* Wed Jan 23 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.11599.1mdv2008.1
+ Revision: 157005
- new version
- update dirac deps
- update dirac patch
- fix pkgconfig file generated by dirac patch

* Thu Jan 17 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.11552.1mdv2008.1
+ Revision: 154480
- new version
- fix versioned deps between the packages, the important part is the release

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.11372.3mdv2008.1
+ Revision: 140384
- new version
- bump avformat major
- add libavdevice
- rediff patch 3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Thierry Vignaud <tv@mandriva.org> 0.4.9-3.pre1.10833.2mdv2008.1
+ Revision: 135865
- build with -fPIC (#35955)
- kill re-definition of %%buildroot on Pixel's request

* Mon Oct 22 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.10833.1mdv2008.1
+ Revision: 101075
- new version
- drop patch 0

* Fri Oct 12 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.10713.2mdv2008.1
+ Revision: 97491
- fix dirac patch to correctly generate the pkgconfig files
- new devel name
- fix configure options

* Fri Oct 12 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.10713.1mdv2008.1
+ Revision: 97355
- new version
- patch0: build fix
- update dirac patch
- update deps

* Sat May 12 2007 Anssi Hannula <anssi@mandriva.org> 0.4.9-3.pre1.8994.2mdv2008.0
+ Revision: 26484
- fix pkgconfig requires for dirac

* Fri May 11 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.8994.1mdv2008.0
+ Revision: 26250
- new version
- patch for dirac support
- fix buildrequires
- drop merged patch 2
- drop amr source, support using external libamrnb instead


* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.7407.10mdv2007.1
+ Revision: 142154
- disable swscaler, it was breaking vlc

* Sun Mar 11 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.4.9-3.pre1.7407.9mdv2007.1
+ Revision: 141436
- Added swslib into Requires for devel package.

* Sun Mar 11 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.4.9-3.pre1.7407.8mdv2007.1
+ Revision: 141435
- Added swscaler library and subpackage.

  + Götz Waschk <waschk@mandriva.org>
    - create static devel package as the devel package was getting large

* Tue Jan 23 2007 Frederic Crozat <fcrozat@mandriva.com> 0.4.9-3.pre1.7407.7mdv2007.1
+ Revision: 112478
- Patch1: fix wrong define in header

* Thu Jan 11 2007 Frederic Crozat <fcrozat@mandriva.com> 0.4.9-3.pre1.7407.6mdv2007.1
+ Revision: 107507
- Enable x11grab input

* Thu Jan 04 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.7407.5mdv2007.1
+ Revision: 104228
- fix devel deps

* Thu Jan 04 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.7407.4mdv2007.1
+ Revision: 104160
- bot rebuild
- bot rebuild
- enable libnut

* Thu Jan 04 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.7407.1mdv2007.1
+ Revision: 104009
- new snapshot

* Wed Nov 08 2006 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.6941.1mdv2007.1
+ Revision: 78118
- new snapshot
- fix installation
- new version
- new snapshot
- new libavformat major
- bump deps
  fix description

* Thu Oct 19 2006 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.6725.1mdv2007.1
+ Revision: 66424
- new release
  rediff the patch

  + Oden Eriksson <oeriksson@mandriva.com>
    - bzip2 cleanup
    - bunzip patches
    - Import ffmpeg

* Wed Sep 13 2006 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.6122.2mdv2007.0
- fix installaion on x86_64

* Wed Aug 30 2006 Götz Waschk <waschk@mandriva.org> 0.4.9-3.pre1.6122.1mdv2007.0
- update the patch
- new snapshot

* Sun Aug 13 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4.9-3.pre1.5435.3
- patch1: link ffplay_g against libX11 since it calls XOpenDisplay

* Mon Jul 24 2006 Anssi Hannula <anssi@mandriva.org> 0.4.9-3.pre1.5435.2mdv2007.0
- drop -fno-unit-at-a-time, isn't required anymore and breaks x86_64 build
- rpmbuildupdate-friendly %%rel
- fix buildrequires

* Sun Jun 18 2006 Stefan van der Eijk <stefan@eijk.nu.lurtspam> 0.4.9-1mdv2007.0
- rebuild for sparc

* Thu Jun 01 2006 Götz Waschk <waschk@mandriva.org> 0.4.9-2.pre1.5435.1mdv2007.0
- drop patch
- new svn snapshot

* Tue May 30 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.9-0.pre1.20060519.1mdv2007.0
- new snapshot (20060515)
- Patch0: add support for decoding H264 MBAFF

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 0.4.9-0.pre1.20060421.2mdk
- rebuild for sparc

* Sat Apr 22 2006 Götz Waschk <waschk@mandriva.org> 0.4.9-0.pre1.20060421.1mdk
- new snapshot

* Thu Mar 09 2006 Götz Waschk <waschk@mandriva.org> 0.4.9-0.pre1.20060309.1mdk
- add amr_nb support
- drop patches
- new snapshot

* Wed Dec 14 2005 Götz Waschk <waschk@mandriva.org> 0.4.9-0.pre1.7mdk
- security update for CVE-2005-3048 (P3)

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 0.4.9-0.pre1.6mdk
- mkrel
- enable threading
- conditionally build with all optional codecs

* Thu Sep 08 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.4.9-0.pre1.5mdk
- gcc4 fixes

* Fri Dec 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.9-0.pre1.4mdk
- added an obvious lib64 fix

* Mon Nov 22 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.9-0.pre1.3mdk
- fix patch 0

* Thu Nov 18 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.9-0.pre1.2mdk
- fix doc file listing
- fix buildrequires

* Thu Nov 18 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.9-0.pre1.1mdk
- enable gpl
- drop patch 3 (merged)
- drop patch 2 (needs an update)
- update patches 0,1
- new version

* Fri Sep 10 2004 Warly <warly@mandrakesoft.com> 0.4.8-9mdk
- rebuild

* Fri Sep 10 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.8-8mdk
- fix build with current gcc aka disable unit-at-a-time

* Wed Apr 14 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.8-7mdk
- build DSO with PIC
- lib64 & 64-bit fixes

